org.pentaho.reporting.libraries.resourceloader

## Class ResourceLoadingException

- java.lang.Object
- - StackableException
  - - org.pentaho.reporting.libraries.resourceloader.ResourceException
    - - org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException

Direct Known Subclasses:
  UnrecognizedLoaderException

    public class ResourceLoadingException
    extends ResourceException

Creation-Date: 05.04.2006, 13:03:37

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`ResourceLoadingException()` Creates a StackableRuntimeException with no message and no parent.
`ResourceLoadingException(java.lang.String message)` Creates an exception.
`ResourceLoadingException(java.lang.String message, java.lang.Exception ex)` Creates an exception.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceLoadingException

    public ResourceLoadingException()

Creates a StackableRuntimeException with no message and no parent.

#### ResourceLoadingException

    public ResourceLoadingException(java.lang.String message,
                            java.lang.Exception ex)

Creates an exception.

Parameters:
  `message` - the exception message.
  `ex` - the parent exception.

#### ResourceLoadingException

    public ResourceLoadingException(java.lang.String message)

Creates an exception.

Parameters:
  `message` - the exception message.